// To jest plik test/spec/services/userServiceSpec.js.

define(['angularMocks', 'services/services', 'services/userService'],
  function() {
    describe('Usługa UserService', function() {
      beforeEach(module('services'));

      // Inicjalizacja przed każdym plikiem spec, 
      // (to znaczy przed każdym wywołaniem it()), i ponowne użycie.
      var userService;
      beforeEach(inject(function(UserService) {
        userService = UserService;
      }));

      it('Konto użytkownika powinno istnieć', function() {
        expect(userService.getUser()).toEqual('testUser');
      });
    });
  });
